* [dpdk-dev] [PATCH] devtools: fix cleanup of temp file
@ 2019-08-13 6:38 David Marchand
2019-10-21 14:12 ` [dpdk-dev] [dpdk-stable] " Thomas Monjalon
0 siblings, 1 reply; 3+ messages in thread
From: David Marchand @ 2019-08-13 6:38 UTC (permalink / raw)
To: dev; +Cc: thomas, stable
The regexp part of the cleanup routine was not updated accordingly when
a common prefix for temp files was introduced.
Set the trap handler only when required.
Fixes: ff37ca5d3773 ("devtools: use a common prefix for temporary files")
Cc: stable@dpdk.org
Signed-off-by: David Marchand <david.marchand@redhat.com>
---
devtools/checkpatches.sh | 26 ++++++++++++--------------
1 file changed, 12 insertions(+), 14 deletions(-)
diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index 8e2beee..b16bace 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -36,14 +36,6 @@ LINE_SPACING,PARENTHESIS_ALIGNMENT,NETWORKING_BLOCK_COMMENT_STYLE,\
NEW_TYPEDEFS,COMPARISON_TO_NULL"
options="$options $DPDK_CHECKPATCH_OPTIONS"
-clean_tmp_files() {
- if echo $tmpinput | grep -q '^checkpatches\.' ; then
- rm -f "$tmpinput"
- fi
-}
-
-trap "clean_tmp_files" INT
-
print_usage () {
cat <<- END_OF_HELP
usage: $(basename $0) [-q] [-v] [-nX|-r range|patch1 [patch2] ...]]
@@ -150,13 +142,16 @@ check () { # <patch> <commit> <title>
! $verbose || print_headline "$3"
if [ -n "$1" ] ; then
tmpinput=$1
- elif [ -n "$2" ] ; then
- tmpinput=$(mktemp -t dpdk.checkpatches.XXXXXX)
- git format-patch --find-renames \
- --no-stat --stdout -1 $commit > "$tmpinput"
else
tmpinput=$(mktemp -t dpdk.checkpatches.XXXXXX)
- cat > "$tmpinput"
+ trap "rm -f '$tmpinput'" INT
+
+ if [ -n "$2" ] ; then
+ git format-patch --find-renames \
+ --no-stat --stdout -1 $commit > "$tmpinput"
+ else
+ cat > "$tmpinput"
+ fi
fi
! $verbose || printf 'Running checkpatch.pl:\n'
@@ -191,7 +186,10 @@ check () { # <patch> <commit> <title>
ret=1
fi
- clean_tmp_files
+ if [ "$tmpinput" != "$1" ]; then
+ rm -f "$tmpinput"
+ trap - INT
+ fi
[ $ret -eq 0 ] && return 0
status=$(($status + 1))
--
1.8.3.1
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: fix cleanup of temp file
2019-08-13 6:38 [dpdk-dev] [PATCH] devtools: fix cleanup of temp file David Marchand
@ 2019-10-21 14:12 ` Thomas Monjalon
2019-10-21 18:54 ` David Marchand
0 siblings, 1 reply; 3+ messages in thread
From: Thomas Monjalon @ 2019-10-21 14:12 UTC (permalink / raw)
To: David Marchand; +Cc: stable, dev
13/08/2019 08:38, David Marchand:
> The regexp part of the cleanup routine was not updated accordingly when
> a common prefix for temp files was introduced.
> Set the trap handler only when required.
>
> Fixes: ff37ca5d3773 ("devtools: use a common prefix for temporary files")
> Cc: stable@dpdk.org
>
> Signed-off-by: David Marchand <david.marchand@redhat.com>
Applied, my tmp folder says thanks
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: fix cleanup of temp file
2019-10-21 14:12 ` [dpdk-dev] [dpdk-stable] " Thomas Monjalon
@ 2019-10-21 18:54 ` David Marchand
0 siblings, 0 replies; 3+ messages in thread
From: David Marchand @ 2019-10-21 18:54 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dpdk stable, dev
On Mon, Oct 21, 2019 at 4:12 PM Thomas Monjalon <thomas@monjalon.net> wrote:
>
> 13/08/2019 08:38, David Marchand:
> > The regexp part of the cleanup routine was not updated accordingly when
> > a common prefix for temp files was introduced.
> > Set the trap handler only when required.
> >
> > Fixes: ff37ca5d3773 ("devtools: use a common prefix for temporary files")
> > Cc: stable@dpdk.org
> >
> > Signed-off-by: David Marchand <david.marchand@redhat.com>
>
> Applied, my tmp folder says thanks
Mine too :-)
--
David Marchand
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2019-10-21 18:54 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-08-13 6:38 [dpdk-dev] [PATCH] devtools: fix cleanup of temp file David Marchand
2019-10-21 14:12 ` [dpdk-dev] [dpdk-stable] " Thomas Monjalon
2019-10-21 18:54 ` David Marchand
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).